LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XMain Interface Referencepublished

Executing interface for executable components run by the uno executable loader. More...

`import"XMain.idl";`

Inheritance diagram for XMain:

## Public Member Functions
long | run ([in] sequence< string > aArguments)
| This method is called to run the component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Executing interface for executable components run by the uno executable loader.

This is an application to run components passing the command line arguments.

Developers Guide
  Writing UNO Components - The UNO Executable
  Writing UNO Components - XMain
  Writing UNO Components - Core Interfaces to Implement

## Member Function Documentation

## ◆ run()

long run | ( | [in] sequence< string > | aArguments | ) |

This method is called to run the component.

Parameters

  aArguments | arguments passed to the component, i.e. the command line arguments

Returns
  return value passed to be returned by main()

The documentation for this interface was generated from the following file:

- com/sun/star/lang/XMain.idl